Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 65255 - evrouter-0.3.3.ebuild (New Package)
Summary: evrouter-0.3.3.ebuild (New Package)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Default Assignee for New Packages
URL: http://www.bedroomlan.org/~alexios/co...
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay
: 301182 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-09-24 16:07 UTC by Chip Marshall
Modified: 2018-06-07 18:25 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
evrouter-0.3.3.ebuild (evrouter-0.3.3.ebuild,983 bytes, text/plain)
2004-09-24 16:08 UTC, Chip Marshall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chip Marshall 2004-09-24 16:07:22 UTC
Attached is an ebuild for evrouter-0.3.3. evrouter is a utility for translating event device events into shell command, X keystrokes and button presses, and optionally XMMS controls.

I'm personally using it to make my Griffin Powermate do something useful.
Comment 1 Chip Marshall 2004-09-24 16:08:47 UTC
Created attachment 40327 [details]
evrouter-0.3.3.ebuild
Comment 2 Daniel Drake (RETIRED) gentoo-dev 2005-06-16 10:38:06 UTC
I think lineak will do what you want, and this is already in portage.
Comment 3 Chip Marshall 2005-06-21 11:28:01 UTC
(In reply to comment #2)
> I think lineak will do what you want, and this is already in portage.

LinEAK appears to be based entirely around reading keycodes from keyboard
devices. evrouter handles events from generic input devices (/dev/input/eventX)
such as the Griffin Powermate or the sonypi device found in VAIO laptops.
Comment 4 Daniel Drake (RETIRED) gentoo-dev 2005-06-21 12:12:26 UTC
Ok, marking as maintainer needed.
Comment 5 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-14 17:01:52 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached to
this bug.
This bug is assigned to maintainer-wanted which means that it is not in the main
tree.

Hello, The Gentoo Team would like to firstly thank you for your ebuild
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The sunrise
overlay[1] is a overlay for Gentoo which we allow trusted users to commit to and
all users can have ebuilds reviewed by Gentoo devs for entry into the overlay.
So, the sunrise team is suggesting that you look into this and submit your
ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. We
anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 6 pavel sanda 2009-10-20 10:50:54 UTC
committed to sunrise
Comment 7 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 15:29:50 UTC
*** Bug 301182 has been marked as a duplicate of this bug. ***
Comment 8 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:46:41 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/
Comment 9 pavel sanda 2016-06-08 18:30:55 UTC
Ebuild copied to rebutia overlay.